Last Comment Bug 1237552 - [16Q1] Document the handling of firefox-ui-tests and mozmill-ci on MDN and wiki.mozilla.org
: [16Q1] Document the handling of firefox-ui-tests and mozmill-ci on MDN and wi...
Status: RESOLVED FIXED
: meta
Product: Testing
Classification: Components
Component: Firefox UI Tests (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: ---
Assigned To: Henrik Skupin (:whimboo) [away 02/18 - 02/27]
: Henrik Skupin (:whimboo) [away 02/18 - 02/27]
:
Mentors:
Depends on: 1237179 1239988 1260656
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 02:26 PST by Henrik Skupin (:whimboo) [away 02/18 - 02/27]
Modified: 2016-05-11 08:38 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2016-01-07 02:26:16 PST
We have to get everything documented so that developers, sheriffs, and contributors can easily interact with those systems.
Comment 1 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2016-01-21 04:26:56 PST
So we will have two distinct places for our documentation:

1. User documentation in how to get our firefox-ui-tests executed (includes mach command) will end-up on MDN. The same applies for the handling of results on Treeherder, canceling and rebuilding jobs via Mozmill-CI.

2. Anything related to project management and contribution will be added to the Wiki under the following location: https://wiki.mozilla.org/Auto-tools/Projects/Firefox_UI_Tests
Comment 2 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2016-03-02 03:04:05 PST
With the move of firefox-ui-tests and puppeteer into mozilla-central the readthedocs documentation needs an update. I will modify the settings so that we can now build our docs based of gecko-dev on Github.
Comment 3 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2016-03-02 13:00:03 PST
readthedocs has been updated to pull the code from gecko-dev now. We cover the following versions: master, aurora, beta, and release. I will add esr45 once it is available. Right now its blocked by bug 1250618.

My plan for documentation is:

* Put code related documentation all up on readthedocs including examples (which we can add later)
* Add general test suite information to MDN
* Add a project page to the wiki which can be used for tracking active projects and a general howto
Comment 4 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2016-03-04 05:22:42 PST
The project page with general information can be found in the wiki:
https://wiki.mozilla.org/Auto-tools/Projects/Firefox_UI_Tests

I will continue to enhance it later with upcoming and planned projects and a roadmap. For now it should be enough.

Over the next days I will spend my time to create a full documentation about our tests on MDN:
https://developer.mozilla.org/en-US/docs/Mozilla/QA/firefox-ui-tests
Comment 5 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2016-05-11 02:51:40 PDT
Dependency bugs have all been fixed by end of March. Marking bug as fixed.

Note You need to log in before you can comment on or make changes to this bug.